if NOT "%1"=="" goto %1

:ulan
del *.bak
del *.asc
del *.~*
del *.dcu
del *.dsm
del *.rsm
del *.map
del lib\*.dcu
del lib\*.~*
DEL UNITS32\*.DCU
DEL UNITS32\*.~*
md bak

copy ulan*.zip bak
del ulan*.zip
zip ulan *.* lib\*.* UNITS32\*.* DOC\*.* -x *.exe *.dll
zipsplit -n 1440000 ulan.zip
del ulan.zip
if "%ZIPDRV%"=="" goto extdev
copy ulan*.zip %ZIPDRV%\ulan

:extdev
cd extdev
del *.dcu
del *.~*
zip extdev *.* -x *.dll
if "%ZIPDRV%"=="" goto exit
copy extdev.zip %ZIPDRV%\ulan
:exit
